.card {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.card-header,
.card-footer {
    text-align: center;
    padding: 10px; /* Ajuster selon le besoin */
}

.card-body {
    flex-grow: 1; /* Permet à la carte de prendre toute la place restante */
    overflow: hidden; /* Empêche l'image de dépasser */
    position: relative;
}

.card-body img {
    width: 100%;
    max-height: 250px; /* Ajuster cette valeur pour la hauteur que vous souhaitez */
    object-fit: cover; /* Garder l'aspect de l'image sans déformation */
}

#carouselContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 1050;
    display: none; /* Masqué par défaut */
    pointer-events: none; /* Empêche les clics lorsqu'il est masqué */
}

#carouselContainer.show {
    display: block; /* Visible uniquement avec la classe .show */
    pointer-events: auto; /* Active les clics */
}

#carouselContainer .close {
    position: absolute;
    right: 20px;
    top: 20px;
    color: white;
    font-size: 2rem;
    z-index: 1060;
    opacity: 0.8;
    cursor: pointer;
}

#carouselContainer .close:hover {
    opacity: 1;
    color: white;
}

.carousel-inner {
    height: 100%;
    display: flex;
    align-items: center;
}

.carousel-item {
    text-align: center;
    width: 100%;
}

.carousel-item img {
    max-height: 90vh;
    width: auto;
    margin: auto;
}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
    opacity: 0.8;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 30px;
    height: 30px;
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
}